This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1475572 - [Docs] _member_ role added admin user after upgrading from OSP 9 to 10
[Docs] _member_ role added admin user after upgrading from OSP 9 to 10
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
10.0 (Newton)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: RHOS Documentation Team
RHOS Documentation Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 18:41 EDT by Matt Flusche
Modified: 2017-08-09 10:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-09 10:45:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Flusche 2017-07-26 18:41:11 EDT
Description of problem:
In the OSP 9 upgrade doc there is a reference to adding the _member_ role to the admin user after upgrading the undercloud.  This same note should be included in the OSP 10 upgrade doc.

OSP 9 Doc:
https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/9/html/upgrading_red_hat_openstack_platform/chap-upgrading_the_environment#sect-Major-Updating_Director_Packages

 Be aware of the following notes after upgrading the Overcloud to Red Hat OpenStack Platform 9:

    The Undercloud’s admin user might require an additional role (_member_) not included with Red Hat OpenStack Platform 9. This role is important for Overcloud communication. Check for this role:

    $ openstack role list

    If the role does not exist, create it:

    $ openstack role create _member_

    Add the role to the admin user on the admin tenant:

    $ openstack role add --user admin --project admin _member_

Reference: BZ 1473800

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Sofer Athlan-Guyot 2017-07-28 09:01:12 EDT
Hi Matt,

all the tests around osp9/10 upgrade were done without adding the member role to the undercloud admin user.  So either something have massively changed under the hood or there is something else to 1473800.

Bottom line, not sure it needs to be added to osp9/10 doc.
Comment 2 Matt Flusche 2017-08-09 10:45:11 EDT
closing; unnecessary

Note You need to log in before you can comment on or make changes to this bug.